Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 76885

Summary: trying to download a nonexistant file produces empty file with that name
Product: [Retired] Red Hat Linux Reporter: Daniel Resare <noa-bugzilla-redhat>
Component: cadaverAssignee: Joe Orton <jorton>
Status: CLOSED CANTFIX QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 8.0CC: noa
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-18 14:42:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Checks if get operation fails, and if the downloaded file is empty remove it none

Description Daniel Resare 2002-10-28 18:37:48 UTC
Description of Problem:

When i try to download a file that does not exist, an empty local file is
created with the name of the file I tried to download.

Version-Release number of selected component (if applicable):
cadaver-0.20.5-2

How Reproducible:
always

Steps to Reproduce:
1. run 'cadaver http://ftp.metamatrix.se/' (or any other webdav enabled server)
2. type 'get nonexistant.empty'
3. quit the program
4. run 'ls -l *.empty'

Actual Results:
[noa@ulysses slask]$ ls -l *.empty
-rw-rw-r--    1 noa      noa             0 okt 28 19:37 nonexistant.empty


Expected Results:
No file should be created, that would be just stupid *smile*

Comment 1 Noa Resare 2003-08-28 06:44:46 UTC
Created attachment 94023 [details]
Checks if get operation fails, and if the downloaded file is empty remove it

I got bored with this bug, so I fixed it. One can argue that the fix is not all
that beautiful but on the other hand the code is full of comparable uglyness,
and the RealFix^tm would require changing the interface of the bundled libneon
and I suppose it's better to leave that to the maintainers.

Comment 2 Joe Orton 2003-08-28 08:16:00 UTC
Thanks for reporting this.

Yes, you can't solve this elegantly using neon's ne_get(), you have to use the
more complicated ne_request_create/begin_request/end_request/read_response_block
interface to do it properly.

Speaking as author of cadaver rather than cadaver package maintainer for Red
Hat,  I intend to do this for a future release.

Comment 3 Bill Nottingham 2006-08-07 17:41:50 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.


Comment 4 Bill Nottingham 2006-10-18 14:42:06 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.